/*
 * Copyright (c) 2018, Kalyst <contact@kalyst.com>
 * This program is free software...
 */

#include <unistd.h>
#include <errno.h>
#include <getopt.h>
#include <signal.h>

#include "gst_media.h"

/* #define IP_DEFAULT "172.20.8.32" */
#define IP_DEFAULT "192.168.56.2"

void sig_handler(int signum)
{
        fprintf(stderr, "listener: signal %d received, leaving...\n", signum);
        psa_gst_eos_event(LISTENER);
	exit(1);
}

int main(int argc, char *argv[])
{
	char *ips;
	gst_init(&argc, &argv);

	if (argc == 1)
		ips = IP_DEFAULT;
	else if (argc == 2)
		ips = argv[1];
	else {
		fprintf(stderr, "gst_recv: erreur de paramétrage\n");
		exit(EXIT_FAILURE);
	}

        signal(SIGINT, sig_handler);

        printf("gst_recv: started from %s...\n", ips);
        psa_gst_recv_init(ips, NULL);
        psa_gst_recv_play();
        psa_gst_recv_close();

        return EXIT_SUCCESS;
}

